---
title: Loan Application Form
product: PDF Generator
description: Download a printable loan application form in PDF. Generate editable or prefilled loan request forms using SurveyJS PDF Generator.
framework: Vanilla JS
source: https://surveyjs.io/pdf-generator/examples/template-loan-application-form/vanillajs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Loan Application Form (Vanilla JS)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import { Model } from "survey-core";
import "survey-js-ui";
import { SurveyPDF } from "survey-pdf";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

const survey = new Model(json);
survey.showCompleteButton = false;
survey.navigationButtonsLocation = "topBottom";
survey.addNavigationItem({
    id: "survey_save_as_file",
    title: "Download PDF",
    action: () => {
        saveSurveyToPdf("surveyResult.pdf", survey);
    }
});
survey.addNavigationItem({
    id: "survey_pdf_preview",
    title: "Preview PDF",
    visible: window.navigator.pdfViewerEnabled,
    action: () => {
        previewPdf(survey);
    }
});
survey.render(document.getElementById("surveyElement"));
```

### `src/json.js`

```js
export const json = {
  "title": "Mortgage Loan Application Form",
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced",
  "pages": [
    {
      "name": "overview",
      "title": "Overview of your Mortgage Application",
      "elements": [
        {
          "type": "radiogroup",
          "name": "loan-purpose",
          "title": "Purpose of the mortgage application",
          "choices": [
            { "value": "remortgage", "text": "Remortgage" },
            { "value": "equity-transfer", "text": "Transfer of equity" },
            { "value": "house-purchase", "text": "House purchase" },
            { "value": "term-extension", "text": "Term extension" },
            { "value": "further-advance", "text": "Further advance" }
          ],
          "colCount": 2
        },
        {
          "type": "boolean",
          "name": "guarantor",
          "startWithNewLine": false,
          "title": "Is there a guarantor for this application?"
        },
        {
          "type": "radiogroup",
          "name": "property-use",
          "title": "Intended use of the property",
          "choices": [
            { "value": "residential", "text": "Residential" },
            { "value": "buy-to-let", "text": "Buy to let" },
            { "value": "holiday-let", "text": "Holiday let" }
          ]
        },
        {
          "type": "boolean",
          "name": "holiday-let-time-period",
          "startWithNewLine": false,
          "title": "If this is a holiday let, do you intend to personally use the property for more than 60 days per year?",
          "description": "Complete if applicable."
        }
      ]
    },
    {
      "name": "property-details",
      "title": "Property Details",
      "elements": [
        {
          "type": "text",
          "name": "street-address",
          "title": "Street address",
          "minWidth": "auto"
        },
        {
          "type": "text",
          "name": "city",
          "title": "City or town",
          "startWithNewLine": false,
          "minWidth": "auto"
        },
        {
          "type": "text",
          "name": "zip",
          "startWithNewLine": false,
          "title": "Zip code",
          "minWidth": "auto"
        },
        {
          "type": "radiogroup",
          "name": "country",
          "title": "Country",
          "showOtherItem": true,
          "choices": [
            "United States",
            "United Kingdom",
            "Canada",
            "Australia"
          ],
          "colCount": 2
        },
        {
          "type": "boolean",
          "name": "used-as-main-residence",
          "title": "Will this property be your main residence?",
          "minWidth": "auto"
        },
        {
          "type": "boolean",
          "name": "is-already-mortgaged",
          "startWithNewLine": false,
          "title": "Is there an existing mortgage on this property?",
          "description": "If yes, provide details in supporting documents if required.",
          "descriptionLocation": "underInput",
          "minWidth": "auto"
        },
        {
          "type": "boolean",
          "name": "used-for-business",
          "startWithNewLine": false,
          "title": "Will any part of the property be used for business purposes?",
          "minWidth": "auto"
        }
      ]
    },
    {
      "name": "personal-info",
      "title": "Personal Information",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "applicant-info",
          "titleLocation": "hidden",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Applicant #{panelIndex}",
          "addPanelText": "Add an applicant",
          "templateElements": [
            {
              "type": "multipletext",
              "name": "full-name",
              "title": "Full Name",
              "items": [
                { "name": "first-name", "title": "First name" },
                { "name": "last-name", "title": "Last name" }
              ]
            },
            {
              "type": "multipletext",
              "name": "birth-info",
              "title": "Birth Information",
              "startWithNewLine": false,
              "items": [
                { "name": "birthplace", "title": "Place of birth" },
                { "name": "birthdate", "inputType": "date", "title": "Date of birth" }
              ]
            },
            {
              "type": "text",
              "name": "phone",
              "title": "Phone number",
              "maskType": "pattern",
              "maskSettings": {
                "saveMaskedValue": true,
                "pattern": "+9 (999) 999-99-99"
              }
            },
            {
              "type": "text",
              "name": "street-address",
              "title": "Street address"
            },
            {
              "type": "text",
              "name": "city",
              "title": "City or town",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "zip",
              "startWithNewLine": false,
              "title": "Zip code"
            },
            {
              "type": "radiogroup",
              "name": "country",
              "title": "Country",
              "showOtherItem": true,
              "choices": [
                "United States",
                "United Kingdom",
                "Canada",
                "Australia"
              ],
              "colCount": 2
            }
          ]
        },
        {
          "type": "panel",
          "name": "documents",
          "title": "Documents",
          "elements": [
            {
              "type": "matrixdropdown",
              "name": "ids",
              "title": "Provide two identity documents and attach their copies to this application.",
              "columns": [
                {
                  "name": "id-type",
                  "title": "ID type",
                  "cellType": "radiogroup",
                  "choices": [
                    "State identification card",
                    "Driver license",
                    "Passport",
                    "Military ID",
                    "Permanent resident card",
                    "Certificate of citizenship",
                    "Certificate of naturalization"
                  ],
                  "colCount": 2
                },
                {
                  "name": "expiration-date",
                  "title": "Expiration date",
                  "cellType": "text",
                  "inputType": "date",
                  "width": "20%"
                }
              ],
              "rows": [
                { "value": "first-id-info", "text": "Document 1" },
                { "value": "second-id-info", "text": "Document 2" }
              ],
              "rowTitleWidth": "15%"
            }
          ]
        }
      ]
    },
    {
      "name": "employment-details",
      "title": "Employment Details",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "employer",
          "titleLocation": "hidden",
          "defaultValue": [{}],
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Employer #{panelIndex}",
          "addPanelText": "Add an employer",
          "templateElements": [
            {
              "type": "comment",
              "name": "organization",
              "title": "Name of organization"
            },
            {
              "type": "multipletext",
              "name": "occupation",
              "title": "Occupation",
              "items": [
                { "name": "position", "title": "Position" },
                { "name": "employment-date", "inputType": "date", "title": "Employed since" }
              ]
            },
            {
              "type": "multipletext",
              "name": "income",
              "title": "Monthly income in USD",
              "items": [
                { "name": "basic-salary", "title": "Basic salary" },
                { "name": "guaranteed-bonus", "title": "Guaranteed bonus" },
                { "name": "nonguaranteed-bonus", "title": "Non guaranteed bonus" }
              ]
            },
            {
              "type": "boolean",
              "name": "have-other-income-sources",
              "title": "Do you have other regular income sources?",
              "showCommentArea": true,
              "commentText": "If yes, specify"
            },
            {
              "type": "file",
              "name": "employment-verification-letter",
              "title": "Employment verification letter",
              "description": "Attach a signed letter from your employer to this application."
            }
          ]
        }
      ]
    },
    {
      "name": "loan-details",
      "title": "Requested Loan Details",
      "elements": [
        {
          "type": "text",
          "name": "loan-amount",
          "title": "Requested loan amount in USD",
          "maskType": "currency",
          "maskSettings": { "prefix": "$" }
        },
        {
          "type": "text",
          "name": "loan-tenure",
          "startWithNewLine": false,
          "title": "Loan tenure in years",
          "inputType": "number",
          "min": 1,
          "max": 25
        }
      ]
    }
  ]
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "survey-core": "latest",
    "survey-js-ui": "latest",
    "survey-pdf": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/template-loan-application-form/angular.md)
- [React](https://surveyjs.io/pdf-generator/examples/template-loan-application-form/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/template-loan-application-form/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/template-loan-application-form/jquery.md)


---
title: Loan Application Form
product: PDF Generator
description: Download a printable loan application form in PDF. Generate editable or prefilled loan request forms using SurveyJS PDF Generator.
framework: React
source: https://surveyjs.io/pdf-generator/examples/template-loan-application-form/reactjs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Loan Application Form (React)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/SurveyPdfComponent.jsx`

```js
import React from "react";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { Survey } from "survey-react-ui";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

function SurveyPdfComponent () {
    const survey = new Model(json);
    survey.showCompleteButton = false;
    survey.navigationButtonsLocation = "topBottom";
    survey.addNavigationItem({
        id: "survey_save_as_file",
        title: "Download PDF",
        action: () => {
            saveSurveyToPdf("surveyResult.pdf", survey);
        }
    });
    survey.addNavigationItem({
        id: "survey_pdf_preview",
        title: "Preview PDF",
        visible: window.navigator.pdfViewerEnabled,
        action: () => {
            previewPdf(survey);
        }
    });
    return (<Survey model={survey} />);
}

export default SurveyPdfComponent;
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import React from "react";
import { createRoot } from "react-dom/client";
import SurveyPdfComponent from "./SurveyPdfComponent";

const root = createRoot(document.getElementById("surveyElement"));
root.render(<SurveyPdfComponent />);
```

### `src/json.js`

```js
export const json = {
  "title": "Mortgage Loan Application Form",
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced",
  "pages": [
    {
      "name": "overview",
      "title": "Overview of your Mortgage Application",
      "elements": [
        {
          "type": "radiogroup",
          "name": "loan-purpose",
          "title": "Purpose of the mortgage application",
          "choices": [
            { "value": "remortgage", "text": "Remortgage" },
            { "value": "equity-transfer", "text": "Transfer of equity" },
            { "value": "house-purchase", "text": "House purchase" },
            { "value": "term-extension", "text": "Term extension" },
            { "value": "further-advance", "text": "Further advance" }
          ],
          "colCount": 2
        },
        {
          "type": "boolean",
          "name": "guarantor",
          "startWithNewLine": false,
          "title": "Is there a guarantor for this application?"
        },
        {
          "type": "radiogroup",
          "name": "property-use",
          "title": "Intended use of the property",
          "choices": [
            { "value": "residential", "text": "Residential" },
            { "value": "buy-to-let", "text": "Buy to let" },
            { "value": "holiday-let", "text": "Holiday let" }
          ]
        },
        {
          "type": "boolean",
          "name": "holiday-let-time-period",
          "startWithNewLine": false,
          "title": "If this is a holiday let, do you intend to personally use the property for more than 60 days per year?",
          "description": "Complete if applicable."
        }
      ]
    },
    {
      "name": "property-details",
      "title": "Property Details",
      "elements": [
        {
          "type": "text",
          "name": "street-address",
          "title": "Street address",
          "minWidth": "auto"
        },
        {
          "type": "text",
          "name": "city",
          "title": "City or town",
          "startWithNewLine": false,
          "minWidth": "auto"
        },
        {
          "type": "text",
          "name": "zip",
          "startWithNewLine": false,
          "title": "Zip code",
          "minWidth": "auto"
        },
        {
          "type": "radiogroup",
          "name": "country",
          "title": "Country",
          "showOtherItem": true,
          "choices": [
            "United States",
            "United Kingdom",
            "Canada",
            "Australia"
          ],
          "colCount": 2
        },
        {
          "type": "boolean",
          "name": "used-as-main-residence",
          "title": "Will this property be your main residence?",
          "minWidth": "auto"
        },
        {
          "type": "boolean",
          "name": "is-already-mortgaged",
          "startWithNewLine": false,
          "title": "Is there an existing mortgage on this property?",
          "description": "If yes, provide details in supporting documents if required.",
          "descriptionLocation": "underInput",
          "minWidth": "auto"
        },
        {
          "type": "boolean",
          "name": "used-for-business",
          "startWithNewLine": false,
          "title": "Will any part of the property be used for business purposes?",
          "minWidth": "auto"
        }
      ]
    },
    {
      "name": "personal-info",
      "title": "Personal Information",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "applicant-info",
          "titleLocation": "hidden",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Applicant #{panelIndex}",
          "addPanelText": "Add an applicant",
          "templateElements": [
            {
              "type": "multipletext",
              "name": "full-name",
              "title": "Full Name",
              "items": [
                { "name": "first-name", "title": "First name" },
                { "name": "last-name", "title": "Last name" }
              ]
            },
            {
              "type": "multipletext",
              "name": "birth-info",
              "title": "Birth Information",
              "startWithNewLine": false,
              "items": [
                { "name": "birthplace", "title": "Place of birth" },
                { "name": "birthdate", "inputType": "date", "title": "Date of birth" }
              ]
            },
            {
              "type": "text",
              "name": "phone",
              "title": "Phone number",
              "maskType": "pattern",
              "maskSettings": {
                "saveMaskedValue": true,
                "pattern": "+9 (999) 999-99-99"
              }
            },
            {
              "type": "text",
              "name": "street-address",
              "title": "Street address"
            },
            {
              "type": "text",
              "name": "city",
              "title": "City or town",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "zip",
              "startWithNewLine": false,
              "title": "Zip code"
            },
            {
              "type": "radiogroup",
              "name": "country",
              "title": "Country",
              "showOtherItem": true,
              "choices": [
                "United States",
                "United Kingdom",
                "Canada",
                "Australia"
              ],
              "colCount": 2
            }
          ]
        },
        {
          "type": "panel",
          "name": "documents",
          "title": "Documents",
          "elements": [
            {
              "type": "matrixdropdown",
              "name": "ids",
              "title": "Provide two identity documents and attach their copies to this application.",
              "columns": [
                {
                  "name": "id-type",
                  "title": "ID type",
                  "cellType": "radiogroup",
                  "choices": [
                    "State identification card",
                    "Driver license",
                    "Passport",
                    "Military ID",
                    "Permanent resident card",
                    "Certificate of citizenship",
                    "Certificate of naturalization"
                  ],
                  "colCount": 2
                },
                {
                  "name": "expiration-date",
                  "title": "Expiration date",
                  "cellType": "text",
                  "inputType": "date",
                  "width": "20%"
                }
              ],
              "rows": [
                { "value": "first-id-info", "text": "Document 1" },
                { "value": "second-id-info", "text": "Document 2" }
              ],
              "rowTitleWidth": "15%"
            }
          ]
        }
      ]
    },
    {
      "name": "employment-details",
      "title": "Employment Details",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "employer",
          "titleLocation": "hidden",
          "defaultValue": [{}],
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Employer #{panelIndex}",
          "addPanelText": "Add an employer",
          "templateElements": [
            {
              "type": "comment",
              "name": "organization",
              "title": "Name of organization"
            },
            {
              "type": "multipletext",
              "name": "occupation",
              "title": "Occupation",
              "items": [
                { "name": "position", "title": "Position" },
                { "name": "employment-date", "inputType": "date", "title": "Employed since" }
              ]
            },
            {
              "type": "multipletext",
              "name": "income",
              "title": "Monthly income in USD",
              "items": [
                { "name": "basic-salary", "title": "Basic salary" },
                { "name": "guaranteed-bonus", "title": "Guaranteed bonus" },
                { "name": "nonguaranteed-bonus", "title": "Non guaranteed bonus" }
              ]
            },
            {
              "type": "boolean",
              "name": "have-other-income-sources",
              "title": "Do you have other regular income sources?",
              "showCommentArea": true,
              "commentText": "If yes, specify"
            },
            {
              "type": "file",
              "name": "employment-verification-letter",
              "title": "Employment verification letter",
              "description": "Attach a signed letter from your employer to this application."
            }
          ]
        }
      ]
    },
    {
      "name": "loan-details",
      "title": "Requested Loan Details",
      "elements": [
        {
          "type": "text",
          "name": "loan-amount",
          "title": "Requested loan amount in USD",
          "maskType": "currency",
          "maskSettings": { "prefix": "$" }
        },
        {
          "type": "text",
          "name": "loan-tenure",
          "startWithNewLine": false,
          "title": "Loan tenure in years",
          "inputType": "number",
          "min": 1,
          "max": 25
        }
      ]
    }
  ]
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "react": "latest",
    "react-dom": "latest",
    "survey-core": "latest",
    "survey-react-ui": "latest",
    "survey-pdf": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/template-loan-application-form/angular.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/template-loan-application-form/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/template-loan-application-form/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/template-loan-application-form/vanillajs.md)


---
title: Loan Application Form
product: PDF Generator
description: Download a printable loan application form in PDF. Generate editable or prefilled loan request forms using SurveyJS PDF Generator.
framework: Angular
source: https://surveyjs.io/pdf-generator/examples/template-loan-application-form/angular
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Loan Application Form (Angular)

## Files

### `src/app/components/json.ts`

```ts
export const json = {
  "title": "Mortgage Loan Application Form",
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced",
  "pages": [
    {
      "name": "overview",
      "title": "Overview of your Mortgage Application",
      "elements": [
        {
          "type": "radiogroup",
          "name": "loan-purpose",
          "title": "Purpose of the mortgage application",
          "choices": [
            { "value": "remortgage", "text": "Remortgage" },
            { "value": "equity-transfer", "text": "Transfer of equity" },
            { "value": "house-purchase", "text": "House purchase" },
            { "value": "term-extension", "text": "Term extension" },
            { "value": "further-advance", "text": "Further advance" }
          ],
          "colCount": 2
        },
        {
          "type": "boolean",
          "name": "guarantor",
          "startWithNewLine": false,
          "title": "Is there a guarantor for this application?"
        },
        {
          "type": "radiogroup",
          "name": "property-use",
          "title": "Intended use of the property",
          "choices": [
            { "value": "residential", "text": "Residential" },
            { "value": "buy-to-let", "text": "Buy to let" },
            { "value": "holiday-let", "text": "Holiday let" }
          ]
        },
        {
          "type": "boolean",
          "name": "holiday-let-time-period",
          "startWithNewLine": false,
          "title": "If this is a holiday let, do you intend to personally use the property for more than 60 days per year?",
          "description": "Complete if applicable."
        }
      ]
    },
    {
      "name": "property-details",
      "title": "Property Details",
      "elements": [
        {
          "type": "text",
          "name": "street-address",
          "title": "Street address",
          "minWidth": "auto"
        },
        {
          "type": "text",
          "name": "city",
          "title": "City or town",
          "startWithNewLine": false,
          "minWidth": "auto"
        },
        {
          "type": "text",
          "name": "zip",
          "startWithNewLine": false,
          "title": "Zip code",
          "minWidth": "auto"
        },
        {
          "type": "radiogroup",
          "name": "country",
          "title": "Country",
          "showOtherItem": true,
          "choices": [
            "United States",
            "United Kingdom",
            "Canada",
            "Australia"
          ],
          "colCount": 2
        },
        {
          "type": "boolean",
          "name": "used-as-main-residence",
          "title": "Will this property be your main residence?",
          "minWidth": "auto"
        },
        {
          "type": "boolean",
          "name": "is-already-mortgaged",
          "startWithNewLine": false,
          "title": "Is there an existing mortgage on this property?",
          "description": "If yes, provide details in supporting documents if required.",
          "descriptionLocation": "underInput",
          "minWidth": "auto"
        },
        {
          "type": "boolean",
          "name": "used-for-business",
          "startWithNewLine": false,
          "title": "Will any part of the property be used for business purposes?",
          "minWidth": "auto"
        }
      ]
    },
    {
      "name": "personal-info",
      "title": "Personal Information",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "applicant-info",
          "titleLocation": "hidden",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Applicant #{panelIndex}",
          "addPanelText": "Add an applicant",
          "templateElements": [
            {
              "type": "multipletext",
              "name": "full-name",
              "title": "Full Name",
              "items": [
                { "name": "first-name", "title": "First name" },
                { "name": "last-name", "title": "Last name" }
              ]
            },
            {
              "type": "multipletext",
              "name": "birth-info",
              "title": "Birth Information",
              "startWithNewLine": false,
              "items": [
                { "name": "birthplace", "title": "Place of birth" },
                { "name": "birthdate", "inputType": "date", "title": "Date of birth" }
              ]
            },
            {
              "type": "text",
              "name": "phone",
              "title": "Phone number",
              "maskType": "pattern",
              "maskSettings": {
                "saveMaskedValue": true,
                "pattern": "+9 (999) 999-99-99"
              }
            },
            {
              "type": "text",
              "name": "street-address",
              "title": "Street address"
            },
            {
              "type": "text",
              "name": "city",
              "title": "City or town",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "zip",
              "startWithNewLine": false,
              "title": "Zip code"
            },
            {
              "type": "radiogroup",
              "name": "country",
              "title": "Country",
              "showOtherItem": true,
              "choices": [
                "United States",
                "United Kingdom",
                "Canada",
                "Australia"
              ],
              "colCount": 2
            }
          ]
        },
        {
          "type": "panel",
          "name": "documents",
          "title": "Documents",
          "elements": [
            {
              "type": "matrixdropdown",
              "name": "ids",
              "title": "Provide two identity documents and attach their copies to this application.",
              "columns": [
                {
                  "name": "id-type",
                  "title": "ID type",
                  "cellType": "radiogroup",
                  "choices": [
                    "State identification card",
                    "Driver license",
                    "Passport",
                    "Military ID",
                    "Permanent resident card",
                    "Certificate of citizenship",
                    "Certificate of naturalization"
                  ],
                  "colCount": 2
                },
                {
                  "name": "expiration-date",
                  "title": "Expiration date",
                  "cellType": "text",
                  "inputType": "date",
                  "width": "20%"
                }
              ],
              "rows": [
                { "value": "first-id-info", "text": "Document 1" },
                { "value": "second-id-info", "text": "Document 2" }
              ],
              "rowTitleWidth": "15%"
            }
          ]
        }
      ]
    },
    {
      "name": "employment-details",
      "title": "Employment Details",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "employer",
          "titleLocation": "hidden",
          "defaultValue": [{}],
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Employer #{panelIndex}",
          "addPanelText": "Add an employer",
          "templateElements": [
            {
              "type": "comment",
              "name": "organization",
              "title": "Name of organization"
            },
            {
              "type": "multipletext",
              "name": "occupation",
              "title": "Occupation",
              "items": [
                { "name": "position", "title": "Position" },
                { "name": "employment-date", "inputType": "date", "title": "Employed since" }
              ]
            },
            {
              "type": "multipletext",
              "name": "income",
              "title": "Monthly income in USD",
              "items": [
                { "name": "basic-salary", "title": "Basic salary" },
                { "name": "guaranteed-bonus", "title": "Guaranteed bonus" },
                { "name": "nonguaranteed-bonus", "title": "Non guaranteed bonus" }
              ]
            },
            {
              "type": "boolean",
              "name": "have-other-income-sources",
              "title": "Do you have other regular income sources?",
              "showCommentArea": true,
              "commentText": "If yes, specify"
            },
            {
              "type": "file",
              "name": "employment-verification-letter",
              "title": "Employment verification letter",
              "description": "Attach a signed letter from your employer to this application."
            }
          ]
        }
      ]
    },
    {
      "name": "loan-details",
      "title": "Requested Loan Details",
      "elements": [
        {
          "type": "text",
          "name": "loan-amount",
          "title": "Requested loan amount in USD",
          "maskType": "currency",
          "maskSettings": { "prefix": "$" }
        },
        {
          "type": "text",
          "name": "loan-tenure",
          "startWithNewLine": false,
          "title": "Loan tenure in years",
          "inputType": "number",
          "min": 1,
          "max": 25
        }
      ]
    }
  ]
};
```

### `src/app/components/pdf.component.css`

```css
/* You can add your custom CSS here. */
```

### `src/app/components/pdf.component.html`

```html
<survey [model]="model"></survey>
```

### `src/app/components/pdf.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { json } from "./json";
import "./pdf.component.css";
import "survey-core/survey-core.min.css";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey",
    templateUrl: "./pdf.component.html",
    styleUrls: ["./pdf.component.css"]
})
export class SurveyPdfComponent implements OnInit {
    model: Model;
    ngOnInit() {
        const survey = new Model(json);
        survey.showCompleteButton = false;
        survey.navigationButtonsLocation = "topBottom";
        survey.addNavigationItem({
            id: "survey_save_as_file",
            title: "Download PDF",
            action: () => {
                saveSurveyToPdf("surveyResult.pdf", survey);
            }
        });
        survey.addNavigationItem({
            id: "survey_pdf_preview",
            title: "Preview PDF",
            visible: window.navigator.pdfViewerEnabled,
            action: () => {
                previewPdf(survey);
            }
        });
        this.model = survey;
    }
}
```

### `src/app/components/theme.ts`

```ts
export const themeJson = {};
```

### `src/app/app.component.css`

```css

```

### `src/app/app.component.html`

```html
<component-survey></component-survey>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html",
    styleUrls: ["./app.component.css"]
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

import { AppComponent } from "./app.component";
import { SurveyModule } from "survey-angular-ui";
import { SurveyPdfComponent } from "./components/pdf.component";

@NgModule({
    declarations: [AppComponent, SurveyPdfComponent],
    imports: [BrowserModule, SurveyModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;">
        <app-root></app-root>
    </div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css

```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css" ],
      "scripts": [ ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-core": "latest",
    "survey-angular-ui": "latest",
    "survey-pdf": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular/cli": "1.6.6",
    "@angular/compiler-cli": "^5.2.0",
    "@angular/language-service": "^5.2.0",
    "@types/core-js": "0.9.46",
    "@types/jasmine": "~2.8.3",
    "@types/jasminewd2": "~2.0.2",
    "@types/node": "~6.0.60",
    "codelyzer": "^4.0.1",
    "jasmine-core": "~2.8.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~2.0.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "^1.2.1",
    "karma-jasmine": "~1.1.0",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "~5.1.2",
    "ts-node": "~4.1.0",
    "tslint": "~5.9.1",
    "typescript": "3.9.7"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/pdf-generator/examples/template-loan-application-form/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/template-loan-application-form/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/template-loan-application-form/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/template-loan-application-form/vanillajs.md)
